print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cigaretteHudFile = "Paletten/hud_fill_cigarette.dds"
	local cigaretteHudFileSmall = "Paletten/hud_fill_cigarette_small.dds"
	
    local cigaretteFilType = g_fillTypeManager:addFillType("CIGARETTE", g_i18n:getText("cigarette"), true, pricebeer * 1.9, 0.00045, math.rad(10), cigaretteHudFile, cigaretteHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascigarette=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascigarette=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CIGARETTE" then
		hascigarette=true
	end;
		
end;

		if hasmaize and not hascigarette then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CIGARETTE")
		local price = g_fillTypeManager:getFillTypeByName("CIGARETTE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CIGARETTE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)